SCQCV(1)

NAME
scqcv - SeisComP Documentation

Quality control view.

DESCRIPTION

scqcv provides both, a brief overview of the seismometer network status and a detailed view of specific stream parameters. Quality Control (QC) parameters, determined by scqc and sent via messaging system, are received and displayed.

scqcv allows to interactively disable or to enable streams for automatic data processing based on the observed QC reports.

DETAILED QC REPORTS PER STATION

Tabulator view of scqcv shows the tabular view of the QC report messages. Each QC parameter is shown in a column. The default sorting by stream code can be changed by pressing a header field of a parameter. A widget displaying the currently received waveform data is shown by pressing the cell with the streamID. Positioning the mouse over the parameter cell a ToolTip indicates more detailed information on the selected parameter. Typing a regular expression in the "StreamIDFilter" text entry field results in a stream code filter, only displaying the matching stream codes with QC parameter. Green colored fields indicate that the QC parameter values lie within the configured "good" interval. Red colors indicate that the QC parameters lie outside the tolerated value interval -- this stream might have an issue. All colors are configurable. Click on the table header to sort by the selected value or drag the columns to another position. The order of the columns is controlled by parameter. By clicking on a streamID, the past waveforms are displayed at length configured by streamWidget.length.

To disable / enable a station click on the respective station field in the enabled column. [image] Tabulator view of scqcv.UNINDENT

STATION OVERVIEW

Status overview of scqcv with a stream widget shows the status overview grouped by network code. The status is color coded and the color is derived from a score per station.

The more the color usually varies from green to dark red, the worse the waveform data might be. A dark red color indicates a stream with low quality, e.g. high latency. Light to darker red represents a badness sum of related QC parameters. Colors are subject to changes in near future and are configurable. Pressing a stream code item opens a single line table with detailed information of the selected stream. Again it is possible to open a real time waveform widget by pressing the leading header field indicating the stream code.

Typing a regular expression in the bottom text entry field results in a stream code filter, only displaying the matching stream codes. Disabled stations are crossed out. Click on a stream field to view the detailed QC parameters where stations can also be enabled / disabled. [image] Status overview of scqcv with a stream widget.UNINDENT

The compact status overview allows a quick impression of the present status of all received streams (Compact status overview of scqcv). Functionality is equal to the status overview grouped by network.

Switch between compact view and network seperated view by clicking the checkbox in the bottom line. [image] Compact status overview of scqcv.UNINDENT

  Scoring

The score is formed per station as the sum of the counts for the parameters defined, e.g., by score.default. The counts are defined per QC parameter by the count parameter of the applicable range, e.g. timing.range.$name.count.

SETUP

While some important parameters can be configured using scconfig the configuration of others is available by examples in the extensive default configuration of scqcv in @DEFAULTCONFIGDIR/scqcv.cfg@

Apply your setup to scqcv.cfg in @SYSTEMCONFIGDIR@ or in @CONFIGDIR@. If the parameters are not configured, the defaults configuration will be considered.

  Message groups and QC parameters

Select the desired parameters from the list below. "#" disables a parameter.

connection.primaryGroup = QC
connection.subscription = QC, CONFIG
parameter =  "latency           : latency",\
                             "delay             : delay",\
                             "timing quality    : timing",\
                             "offset            : offset",\
                             "rms               : rms",\
                             "gaps count        : gap",\
                             "overlaps count    : overlap",\
                             "availability      : availability",\
                             "spikes count      : spike"
#                            "gaps interval     : gapInterval",\
#                            "gaps length       : gapLength",\
#                            "spikes interval   : spikeInterval",\
#                            "spikes amplitude  : spikeAmplitude"
#                            "overlaps interval : overlapInterval",\
#                            "overlaps length   : overlapLength"

  Stream selection

By default all streams configured by the global bindings will be displayed. To limit the streams or to use a specific list configure streams.codes and streams.cumulative.

Example configuration or the AM network:

# List of channels to display. By default the global configuration is used
# which can be overwritten with this parameter.
streams.codes = AM.*.*.*
# Add new streams from WfQ automatically to the list of stream configured in
# streams.codes.
streams.cumulative = false

  Properties of QC parameters

Configure intervals, values and format and background colors for QC parameters to display in scqcv.cfg.

In the configuration the QC parameter is referred to by its unique ConfigName. You may generate structures for each parameter starting with its ConfigName. The structures contain all configuration parameters. Example for the QC parameter timing quality referred to as timing:

timing.ranges = sane, inter, bad
timing.format = int
timing.expire = 600
timing.useAbsoluteValue = false
timing.range.sane = 90.0, 100.0
timing.range.inter = 50.0, 90.0
timing.range.bad.count = -100
timing.range.bad.color = darkred
timing.range.inter.count = -1
timing.range.inter.color = yellow
timing.range.sane.count = 0
timing.range.sane.color = green

The mapping of parameter names to ConfigName is configurable by parameter but the default mapping is available in @DEFAULTCONFIGDIR@/scqcv.cfg.

  Default mapping of parameter names.
Parameter name | ConfigName
latency | latency
delay | delay
timing quality | timing
offset | offset
rms | rms
gaps count | gap
overlaps count | overlap
availability | availability
spikes count | spike
gaps interval | gapInterval
gaps length | gapLength
spikes interval | spikeInterval
spikes amplitude | spikeAmplitude
overlaps interval | overlapInterval
overlaps length | overlapLength

MODULE CONFIGURATION
etc/defaults/global.cfg
etc/defaults/scqcv.cfg
etc/global.cfg
etc/scqcv.cfg
~/.seiscomp/global.cfg
~/.seiscomp/scqcv.cfg

scqcv inherits global options.

parameter
    Type: list:string

    List of QC parameters to be displayed in the details table. Read the scqc documentation for a list of available QC parameters and the default configuration of scqcv $SEISCOMP_ROOT/etc/defaults/scqcv.cfg for more examples.

    Format: "Parameter name : ConfigName"

    Example: "delay : delay","spikes count : spike","spikes amplitude : spikeAmplitude". Refer to the parameters by their ConfigName to configure the attributes.

streams.codes
    Type: list:string

    The list of channel codes to be displayed. List items may contain wildcards and are separated by comma. The list is intersected with all channels configured in inventory.

    Examples:

    default : display all streams configured by global bindings

    default, PF.BON.00.HH? : display default and all HH streams of PF.BON.00

streams.cumulative
    Default: false

    Type: boolean

    Add new streams automatically to the streams configured in streams.codes when waveform QC parameters are provided for these streams.

    NOTE: streamWidget.* Control the stream widget which opens when clicking on a stream name in the detailed table.

streamWidget.length
    Default: 600

    Type: int

    Unit: s

    Length of data to be displayed.

    NOTE: score.* Parameters controlling the overall QC score of a station. The score is computed from the valid count parameter of the defined ranges. It is vizualized in the QcOverview.

score.default.ranges
    Type: list:string

    Ranges to be considered for forming the score. Set the count parameter om the respective range section for controlling the contribution of this range. The range parameters control the coloring.

    NOTE: default.* Default configuration for all QC parameters. The configuration can be extended to each QC parameter by placing "default" with the parameter name in scqcv.cfg. Examples for some QC parameters are given below. ** Read the scqc documentation for a list of available QC parameters and the default configuration of scqcv $SEISCOMP_ROOT/etc/defaults/scqcv.cfg for more examples.

default.ranges
    Default: bad, sane

    Type: list:string

    Names of range profile to be considered. The range profiles define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

default.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

default.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

default.color
    Type: string

    A color defined by the color definitions below.

default.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

default.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: default.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

default.range.sane
    Type: list:double

    Value interval for range sane

default.range.inter
    Type: list:double

    Value interval for range inter

default.range.bad
    Type: list:double

    Value interval for range bad

    NOTE: default.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    default.range.a.value1 = ...
    default.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    default.range.c.value1 = ...

default.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

default.range.$name.color
    Type: string

    A color defined by the color definitions below.

default.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: availability.* Parameters controlling the display of the QC parameter 'availability'

availability.ranges
    Type: list:string

    Names of range profile to be considered The range profiles s define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

availability.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

availability.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

availability.color
    Type: string

    A color defined by the color definitions below.

availability.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

availability.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: availability.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

availability.range.sane
    Type: list:double

    Value interval for range sane

availability.range.inter
    Type: list:double

    Value interval for range inter

availability.range.bad
    Type: list:double

    Value interval for range bad

    NOTE: availability.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    availability.range.a.value1 = ...
    availability.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    availability.range.c.value1 = ...

availability.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

availability.range.$name.color
    Type: string

    A color defined by the color definitions below.

availability.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: delay.* Parameters controlling the display of the QC parameter 'delay'

delay.ranges
    Type: list:string

    Names of range profile to be considered The range profiles s define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

delay.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

delay.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

delay.color
    Type: string

    A color defined by the color definitions below.

delay.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

delay.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: delay.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

delay.range.sane
    Type: list:double

    Value interval for range sane

delay.range.inter
    Type: list:double

    Value interval for range inter

delay.range.bad
    Type: list:double

    Value interval for range bad

    NOTE: delay.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    delay.range.a.value1 = ...
    delay.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    delay.range.c.value1 = ...

delay.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

delay.range.$name.color
    Type: string

    A color defined by the color definitions below.

delay.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: gap.* Parameters controlling the display of the QC parameter 'gaps count'.

gap.ranges
    Type: list:string

    Names of range profile to be considered The range profiles s define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

gap.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

gap.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

gap.color
    Type: string

    A color defined by the color definitions below.

gap.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

gap.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: gap.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

gap.range.sane
    Type: list:double

    Value interval for range sane

gap.range.inter
    Type: list:double

    Value interval for range inter

gap.range.bad
    Type: list:double

    Value interval for range bad

    NOTE: gap.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    gap.range.a.value1 = ...
    gap.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    gap.range.c.value1 = ...

gap.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

gap.range.$name.color
    Type: string

    A color defined by the color definitions below.

gap.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: gapLength.* Parameters controlling the display of the QC parameter 'gaps length'

gapLength.ranges
    Type: list:string

    Names of range profile to be considered The range profiles s define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

gapLength.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

gapLength.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

gapLength.color
    Type: string

    A color defined by the color definitions below.

gapLength.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

gapLength.action
    Type: string

    Possible values: enableStream, disableStream.

    NOTE: gapLength.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

gapLength.range.sane
    Type: list:double

    Value interval for range sane.

gapLength.range.inter
    Type: list:double

    Value interval for range inter.

gapLength.range.bad
    Type: list:double

    Value interval for range bad.

    NOTE: gapLength.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    gapLength.range.a.value1 = ...
    gapLength.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    gapLength.range.c.value1 = ...

gapLength.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

gapLength.range.$name.color
    Type: string

    A color defined by the color definitions below.

gapLength.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: gapInterval.* Parameters controlling the display of the QC parameter 'gaps interval'

gapInterval.ranges
    Type: list:string

    Names of range profile to be considered The range profiles s define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

gapInterval.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

gapInterval.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

gapInterval.color
    Type: string

    A color defined by the color definitions below.

gapInterval.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

gapInterval.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: gapInterval.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

gapInterval.range.sane
    Type: list:double

    Value interval for range sane

gapInterval.range.inter
    Type: list:double

    Value interval for range inter

gapInterval.range.bad
    Type: list:double

    Value interval for range bad

    NOTE: gapInterval.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    gapInterval.range.a.value1 = ...
    gapInterval.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    gapInterval.range.c.value1 = ...

gapInterval.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

gapInterval.range.$name.color
    Type: string

    A color defined by the color definitions below.

gapInterval.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: latency.* Parameters controlling the display of the QC parameter 'latency'

latency.ranges
    Type: list:string

    Names of range profile to be considered The range profiles s define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

latency.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

latency.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

latency.color
    Type: string

    A color defined by the color definitions below.

latency.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

latency.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: latency.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

latency.range.sane
    Type: list:double

    Value interval for range sane

latency.range.inter
    Type: list:double

    Value interval for range inter

latency.range.bad
    Type: list:double

    Value interval for range bad

    NOTE: latency.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    latency.range.a.value1 = ...
    latency.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    latency.range.c.value1 = ...

latency.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

latency.range.$name.color
    Type: string

    A color defined by the color definitions below.

latency.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: offset.* Parameters controlling the display of the QC parameter 'offset'

offset.ranges
    Type: list:string

    Names of range profile to be considered The range profiles s define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

offset.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

    Displays raw values if unset.

offset.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

offset.color
    Type: string

    A color defined by the color definitions below.

offset.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

offset.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: offset.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

offset.range.sane
    Type: list:double

    Value interval for range sane

offset.range.inter
    Type: list:double

    Value interval for range inter

offset.range.bad
    Type: list:double

    Value interval for range bad

    NOTE: offset.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    offset.range.a.value1 = ...
    offset.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    offset.range.c.value1 = ...

offset.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

offset.range.$name.color
    Type: string

    A color defined by the color definitions below.

offset.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: overlap.* Parameters controlling the display of the QC parameter 'overlaps count'

overlap.ranges
    Type: list:string

    Names of range profile to be considered The range profiles s define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

overlap.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

overlap.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

overlap.color
    Type: string

    A color defined by the color definitions below.

overlap.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

overlap.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: overlap.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

overlap.range.sane
    Type: list:double

    Value interval for range sane

overlap.range.inter
    Type: list:double

    Value interval for range inter

overlap.range.bad
    Type: list:double

    Value interval for range bad

    NOTE: overlap.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    overlap.range.a.value1 = ...
    overlap.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    overlap.range.c.value1 = ...

overlap.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

overlap.range.$name.color
    Type: string

    A color defined by the color definitions below.

overlap.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: overlapInterval.* Parameters controlling the display of the QC parameter 'overlaps interval'

overlapInterval.ranges
    Type: list:string

    Names of range profile to be considered The range profiles s define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

overlapInterval.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

overlapInterval.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

overlapInterval.color
    Type: string

    A color defined by the color definitions below.

overlapInterval.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

overlapInterval.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: overlapInterval.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

overlapInterval.range.sane
    Type: list:double

    Value interval for range sane

overlapInterval.range.inter
    Type: list:double

    Value interval for range inter

overlapInterval.range.bad
    Type: list:double

    Value interval for range bad

    NOTE: overlapInterval.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    overlapInterval.range.a.value1 = ...
    overlapInterval.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    overlapInterval.range.c.value1 = ...

overlapInterval.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

overlapInterval.range.$name.color
    Type: string

    A color defined by the color definitions below.

overlapInterval.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: overlapLength.* Parameters controlling the display of the QC parameter 'overlaps length'

overlapLength.ranges
    Type: list:string

    Names of range profile to be considered The range profiles s define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

overlapLength.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

overlapLength.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

overlapLength.color
    Type: string

    A color defined by the color definitions below.

overlapLength.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

overlapLength.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: overlapLength.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

overlapLength.range.sane
    Type: list:double

    Value interval for range sane

overlapLength.range.inter
    Type: list:double

    Value interval for range inter

overlapLength.range.bad
    Type: list:double

    Value interval for range bad

    NOTE: overlapLength.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    overlapLength.range.a.value1 = ...
    overlapLength.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    overlapLength.range.c.value1 = ...

overlapLength.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

overlapLength.range.$name.color
    Type: string

    A color defined by the color definitions below.

overlapLength.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: rms.* Parameters controlling the display of the QC parameter 'rms'

rms.ranges
    Type: list:string

    Names of range profile to be considered The range profiles s define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

rms.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

rms.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

rms.color
    Type: string

    A color defined by the color definitions below.

rms.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

rms.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: rms.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

rms.range.sane
    Type: list:double

    Value interval for range sane

rms.range.inter
    Type: list:double

    Value interval for range inter

rms.range.bad
    Type: list:double

    Value interval for range bad

    NOTE: rms.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    rms.range.a.value1 = ...
    rms.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    rms.range.c.value1 = ...

rms.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

rms.range.$name.color
    Type: string

    A color defined by the color definitions below.

rms.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: spike.* Parameters controlling the display of the QC parameter 'spikes count'

spike.ranges
    Type: list:string

    Names of range profile to be considered. The range profiles s define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

spike.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

spike.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

spike.color
    Type: string

    A color defined by the color definitions below.

spike.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

spike.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: spike.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

spike.range.sane
    Type: list:double

    Value interval for range sane

spike.range.inter
    Type: list:double

    Value interval for range inter

spike.range.bad
    Type: list:double

    Value interval for range bad

    NOTE: spike.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    spike.range.a.value1 = ...
    spike.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    spike.range.c.value1 = ...

spike.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

spike.range.$name.color
    Type: string

    A color defined by the color definitions below.

spike.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: spikeAmplitude.* Parameters controlling the display of the QC parameter 'spikes amplitude'.

spikeAmplitude.ranges
    Type: list:string

    Names of range profile to be considered The range profiles s define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

spikeAmplitude.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

spikeAmplitude.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

spikeAmplitude.color
    Type: string

    A color defined by the color definitions below.

spikeAmplitude.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

spikeAmplitude.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: spikeAmplitude.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

spikeAmplitude.range.sane
    Type: list:double

    Value interval for range sane

spikeAmplitude.range.inter
    Type: list:double

    Value interval for range inter

spikeAmplitude.range.bad
    Type: list:double

    Value interval for range bad

    NOTE: spikeAmplitude.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    spikeAmplitude.range.a.value1 = ...
    spikeAmplitude.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    spikeAmplitude.range.c.value1 = ...

spikeAmplitude.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

spikeAmplitude.range.$name.color
    Type: string

    A color defined by the color definitions below.

spikeAmplitude.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: spikeInterval.* Parameters controlling the display of the QC parameter 'spikes interval'.

spikeInterval.ranges
    Type: list:string

    Names of range profile to be considered The range profiles s define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

spikeInterval.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

spikeInterval.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

spikeInterval.color
    Type: string

    A color defined by the color definitions below.

spikeInterval.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

spikeInterval.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: spikeInterval.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

spikeInterval.range.sane
    Type: list:double

    Value interval for range sane

spikeInterval.range.inter
    Type: list:double

    Value interval for range inter

spikeInterval.range.bad
    Type: list:double

    Value interval for range bad

    NOTE: spikeInterval.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    spikeInterval.range.a.value1 = ...
    spikeInterval.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    spikeInterval.range.c.value1 = ...

spikeInterval.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

spikeInterval.range.$name.color
    Type: string

    A color defined by the color definitions below.

spikeInterval.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: timing.* Parameters controlling the display of the QC parameter 'timing quality'.

timing.ranges
    Type: list:string

    Names of range profile to be considered The range profiles s define the background color table fields depending on the field value. Add the default ranges for which different intervals and the color are configured.

timing.format
    Type: string

    Values are: int, float, percent, timeSpan

    Displays raw values if unset.

timing.expire
    Type: double

    Unit: s

    Default time in seconds, how long a value is displayed in scqcv if no update is received. Setting to 0 means, show value until updated.

timing.color
    Type: string

    A color defined by the color definitions below.

timing.useAbsoluteValue
    Default: false

    Type: boolean

    Activate to display absolute values (modulus).

timing.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: timing.range.* Range parameters overriding parameters from the general range section below. Unset values or range profiles undefined here will be inherited from the general range section.

timing.range.sane
    Type: list:double

    Value interval for range sane

timing.range.inter
    Type: list:double

    Value interval for range inter

timing.range.bad
    Type: list:double

    Value interval for range bad

    NOTE: timing.range.$name.* $name is a placeholder for the name to be used and needs to be added to ranges to become active.

    ranges = a,b
    timing.range.a.value1 = ...
    timing.range.b.value1 = ...
    # c is not active because it has not been added
    # to the list of ranges
    timing.range.c.value1 = ...

timing.range.$name.count
    Default: 0

    Type: double

    Contribution of this range for computing the score. The range must be considered.

timing.range.$name.color
    Type: string

    A color defined by the color definitions below.

timing.range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: range.* Range parameters defining default values which can be overridden per QC parameter in the section of this parameter. More ranges can be added by adjusting scqcv.cfg e.g. in @SYSTEMCONFIGDIR@/.

range.sane
    Type: list:double

    Value interval for range sane.

range.inter
    Type: list:double

    Value interval for range inter.

range.bad
    Type: list:double

    Value interval for range bad.

range.above
    Type: list:double

    Value interval for range profile above.

range.below
    Type: list:double

    Value interval for range profile below.

range.delay
    Type: list:double

    Value interval for range profile delay.

range.latency
    Type: list:double

    Value interval for range profile latency.

range.timing
    Type: list:double

    Value interval for range profile timing.

range.unset
    Type: list:double

    Value interval for range profile unset.

range.r01
    Type: list:double

    Value interval for range profile r01.

range.r02
    Type: list:double

    Value interval for range profile r02.

range.r03
    Type: list:double

    Value interval for range profile r03.

range.r04
    Type: list:double

    Value interval for range profile r04.

range.r05
    Type: list:double

    Value interval for range profile r05.

range.r06
    Type: list:double

    Value interval for range profile r06.

range.r07
    Type: list:double

    Value interval for range profile r07.

range.r08
    Type: list:double

    Value interval for range profile r08.

range.r09
    Type: list:double

    Value interval for range profile r09.

range.r10
    Type: list:double

    Value interval for range profile r10.

    NOTE: range.$name.* $name is a placeholder for the name to be used.

range.$name.count
    Type: double

    Contribution of this range for computing the score. The range must be considered. The count is also set in [parameter].range.[range profile].count .

range.$name.color
    Type: string

    A color defined by the color definitions below.

range.$name.action
    Type: string

    Possible values: enableStream, disableStream

    NOTE: color.* Color definitions. More colors can be added by adjusting scqcv.cfg e.g. in @SYSTEMCONFIGDIR@/.

color.red
    Type: list:string

    Color names or R, G, B, alpha values

color.yellow
    Type: list:string

    Color names or R, G, B, alpha values

color.green
    Type: list:string

    Color names or R, G, B, alpha values

color.blue
    Type: list:string

    Color names or R, G, B, alpha values

color.grey
    Type: list:string

    Color names or R, G, B, alpha values

color.grey1
    Type: list:string

    Color names or R, G, B, alpha values

color.darkred
    Type: list:string

    Color names or R, G, B, alpha values

color.yellow
    Type: list:string

    Color names or R, G, B, alpha values

color.red01
    Type: list:string

    Color names or R, G, B, alpha values

color.red02
    Type: list:string

    Color names or R, G, B, alpha values

color.red03
    Type: list:string

    Color names or R, G, B, alpha values

color.red04
    Type: list:string

    Color names or R, G, B, alpha values

color.red05
    Type: list:string

    Color names or R, G, B, alpha values

color.red06
    Type: list:string

    Color names or R, G, B, alpha values

color.red07
    Type: list:string

    Color names or R, G, B, alpha values

color.red08
    Type: list:string

    Color names or R, G, B, alpha values

color.red09
    Type: list:string

    Color names or R, G, B, alpha values

color.red10
    Type: list:string

    Color names or R, G, B, alpha values

    NOTE: format.* Format describtions for showing values. The format parameter is defined seprately for earch parameter but the actual format can be adjusted here.

format.float
    Default: 2

    Type: int

    Number of decimal values shown for parameters of format float.

COMMAND-LINE OPTIONS

scqcv [options]

  Generic

-h, --help
    Show help message.

-V, --version
    Show version information.

--config-file arg
    Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg
    Load given plugins.

--auto-shutdown arg
    Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg
    Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg
    Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

  Verbosity

--verbosity arg
    Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v
    Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet
    Quiet mode: no logging output.

--component arg
    Limit the logging to a certain component. This option can be given more than once.

-s, --syslog
    Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg
    Path to lock file.

--console arg
    Send log output to stdout.

--debug
    Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg
    Use alternative log file.

--print-component arg
    For each log entry print the component right after the log level. By default the component output is enabled for file output but disabled for console output.

--trace
    Execute in trace mode. Equivalent to --verbosity=4 --console=1 --print-component=1 --print-context=1 .

  Messaging

-u, --user arg
    Overrides configuration parameter connection.username.

-H, --host arg
    Overrides configuration parameter connection.server.

-t, --timeout arg
    Overrides configuration parameter connection.timeout.

-g, --primary-group arg
    Overrides configuration parameter connection.primaryGroup.

-S, --subscribe-group arg
    A group to subscribe to. This option can be given more than once.

--content-type arg
    Overrides configuration parameter connection.contentType.

--start-stop-msg arg
    Set sending of a start and a stop message.

  Database

--db-driver-list
    List all supported database drivers.

-d, --database arg
    The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg
    The config module to use.

--inventory-db arg
    Load the inventory from the given database or file, format: [service://]location .

--db-disable
    Do not use the database at all

  Records

--record-driver-list
    List all supported record stream drivers.

-I, --record-url arg
    The recordstream source URL, format: [service://]location[#type]. "service" is the name of the recordstream driver which can be queried with "--record-driver-list". If "service" is not given, "file://" is used.

--record-file arg
    Specify a file as record source.

--record-type arg
    Specify a type for the records being read.

  Cities

--city-xml arg
    The path to the cities XML file. This overrides the default paths. Compare with the global parameter "citiesXML".

  User interface

-F, --full-screen
    Start the application filling the entire screen. This only works with GUI applications.

-N, --non-interactive
    Use non-interactive presentation mode. This only works with GUI applications.

AUTHOR
gempa GmbH, GFZ Potsdam

COPYRIGHT
gempa GmbH, GFZ Potsdam